core::dbus::Codec< com::lomiri::location::SpaceVehicle::Key > Struct Reference

`#include <codec.h>`

Collaboration diagram for core::dbus::Codec< com::lomiri::location::SpaceVehicle::Key >:

## Static Public Member Functions

static void | encode_argument (Message::Writer &writer, const com::lomiri::location::SpaceVehicle::Key &in)
static void | decode_argument (Message::Reader &reader, com::lomiri::location::SpaceVehicle::Key &in)

## Detailed Description

Definition at line 256 of file codec.h.

## Member Function Documentation

## decode_argument()

void core::dbus::Codec< com::lomiri::location::SpaceVehicle::Key >::decode_argument | ( | Message::Reader & | reader,
|  | com::lomiri::location::SpaceVehicle::Key & | in )

inline static

Definition at line 264 of file codec.h.

References com::lomiri::location::SpaceVehicle::Key::id, and com::lomiri::location::SpaceVehicle::Key::type.

## encode_argument()

void core::dbus::Codec< com::lomiri::location::SpaceVehicle::Key >::encode_argument | ( | Message::Writer & | writer,
|  | const com::lomiri::location::SpaceVehicle::Key & | in )

inline static

Definition at line 258 of file codec.h.

References com::lomiri::location::SpaceVehicle::Key::id, and com::lomiri::location::SpaceVehicle::Key::type.

The documentation for this struct was generated from the following file:

- codec.h